package com.ruoyi.system.domain.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @Author zhuqing
 * @Date 2022/8/4
 */
@ApiModel(value = "PcTDoctorUpdateReq", description = "PC端医生修改入参实体")
public class PcTDoctorUpdateReq {

    /** ID */
    @NotNull(message = "id不为空")
    @ApiModelProperty("id")
    private Long id;

    /** 编号 */
    @ApiModelProperty("工作证号")
    private String identifier;

    /** 名称 */
    @ApiModelProperty("名称")
    private String name;

    /** 电话 */
    @ApiModelProperty("电话")
    private String phone;

    /** 职称 */
    @ApiModelProperty("职称")
    private String title;

    /** 专长 */
    @ApiModelProperty("专长")
    private String speciality;

    /** 职业医师照片路径 */
    @ApiModelProperty("职业医师照片base64")
    private String medicalLicense;

    /** 二维码base64 */
    @ApiModelProperty("二维码base64")
    private String qrCode;

    /** 医院 */
    @ApiModelProperty("医院")
    private Long hospitalId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSpeciality() {
        return speciality;
    }

    public void setSpeciality(String speciality) {
        this.speciality = speciality;
    }

    public String getMedicalLicense() {
        return medicalLicense;
    }

    public void setMedicalLicense(String medicalLicense) {
        this.medicalLicense = medicalLicense;
    }

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    @Override
    public String toString() {
        return "PcTDoctorUpdateReq{" +
                "id=" + id +
                ", identifier='" + identifier + '\'' +
                ", name='" + name + '\'' +
                ", phone='" + phone + '\'' +
                ", title='" + title + '\'' +
                ", speciality='" + speciality + '\'' +
                ", medicalLicense='" + medicalLicense + '\'' +
                ", qrCode='" + qrCode + '\'' +
                ", hospitalId=" + hospitalId +
                '}';
    }
}
